package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("tv")
final class class511 implements class510 {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/Object;Luj;B)V",
      garbageValue = "-42"
   )
   public void vmethod9141(Object var1, Buffer var2) {
      this.method9097((Integer)var1, var2);
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(Luj;B)Ljava/lang/Object;",
      garbageValue = "-69"
   )
   public Object vmethod9147(Buffer var1) {
      return Integer.valueOf(var1.readInt_base());
   }

   @ObfuscatedName("aa")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/Integer;Luj;I)V",
      garbageValue = "-1691146966"
   )
   void method9097(Integer var1, Buffer var2) {
      var2.writeInt_base(var1.intValue());
   }

   @ObfuscatedName("jj")
   @ObfuscatedSignature(
      descriptor = "(IIIIIB)V",
      garbageValue = "-83"
   )
   static final void drawObject_base(int var0, int var1, int var2, int var3, int var4) {
      long var5 = class36.scene.getBoundaryObjectTag_base(var0, var1, var2);
      int var7;
      int var8;
      int var9;
      int var10;
      int var12;
      int var13;
      if(0L != var5) {
         var7 = class36.scene.getObjectFlags_base(var0, var1, var2, var5);
         var8 = var7 >> 6 & 3;
         var9 = var7 & 31;
         var10 = var3;
         if(class207.method4113_base(var5)) {
            var10 = var4;
         }

         int[] var11 = class102.sceneMinimapSprite.pixels;
         var12 = var1 * 4 + (103 - var2) * 2048 + 24624;
         var13 = class232.Entity_unpackID_base(var5);
         ObjectComposition var14 = WorldMapSection2.method4515(var13);
         if(var14.mapSceneId != -1) {
            IndexedSprite var15 = VarpDefinition.mapSceneSprites[var14.mapSceneId];
            if(var15 != null) {
               int var16 = (var14.sizeX * 4 - var15.subWidth) / 2;
               int var17 = (var14.sizeY * 4 - var15.subHeight) / 2;
               var15.drawAt_base(var16 + var1 * 4 + 48, (104 - var2 - var14.sizeY) * 4 + var17 + 48);
            }
         } else {
            if(var9 == 0 || var9 == 2) {
               if(var8 == 0) {
                  var11[var12] = var10;
                  var11[var12 + 512] = var10;
                  var11[var12 + 1024] = var10;
                  var11[var12 + 1536] = var10;
               } else if(var8 == 1) {
                  var11[var12] = var10;
                  var11[var12 + 1] = var10;
                  var11[var12 + 2] = var10;
                  var11[var12 + 3] = var10;
               } else if(var8 == 2) {
                  var11[var12 + 3] = var10;
                  var11[var12 + 512 + 3] = var10;
                  var11[var12 + 1024 + 3] = var10;
                  var11[var12 + 1536 + 3] = var10;
               } else if(var8 == 3) {
                  var11[var12 + 1536] = var10;
                  var11[var12 + 1536 + 1] = var10;
                  var11[var12 + 1536 + 2] = var10;
                  var11[var12 + 1536 + 3] = var10;
               }
            }

            if(var9 == 3) {
               if(var8 == 0) {
                  var11[var12] = var10;
               } else if(var8 == 1) {
                  var11[var12 + 3] = var10;
               } else if(var8 == 2) {
                  var11[var12 + 1536 + 3] = var10;
               } else if(var8 == 3) {
                  var11[var12 + 1536] = var10;
               }
            }

            if(var9 == 2) {
               if(var8 == 3) {
                  var11[var12] = var10;
                  var11[var12 + 512] = var10;
                  var11[var12 + 1024] = var10;
                  var11[var12 + 1536] = var10;
               } else if(var8 == 0) {
                  var11[var12] = var10;
                  var11[var12 + 1] = var10;
                  var11[var12 + 2] = var10;
                  var11[var12 + 3] = var10;
               } else if(var8 == 1) {
                  var11[var12 + 3] = var10;
                  var11[var12 + 512 + 3] = var10;
                  var11[var12 + 1024 + 3] = var10;
                  var11[var12 + 1536 + 3] = var10;
               } else if(var8 == 2) {
                  var11[var12 + 1536] = var10;
                  var11[var12 + 1536 + 1] = var10;
                  var11[var12 + 1536 + 2] = var10;
                  var11[var12 + 1536 + 3] = var10;
               }
            }
         }
      }

      var5 = class36.scene.getGameObjectTag_base(var0, var1, var2);
      if(var5 != 0L) {
         var7 = class36.scene.getObjectFlags_base(var0, var1, var2, var5);
         var8 = var7 >> 6 & 3;
         var9 = var7 & 31;
         var10 = class232.Entity_unpackID_base(var5);
         ObjectComposition var24 = WorldMapSection2.method4515(var10);
         int var19;
         if(var24.mapSceneId != -1) {
            IndexedSprite var18 = VarpDefinition.mapSceneSprites[var24.mapSceneId];
            if(var18 != null) {
               var13 = (var24.sizeX * 4 - var18.subWidth) / 2;
               var19 = (var24.sizeY * 4 - var18.subHeight) / 2;
               var18.drawAt_base(var13 + var1 * 4 + 48, var19 + (104 - var2 - var24.sizeY) * 4 + 48);
            }
         } else if(var9 == 9) {
            var12 = 15658734;
            if(class207.method4113_base(var5)) {
               var12 = 15597568;
            }

            int[] var23 = class102.sceneMinimapSprite.pixels;
            var19 = var1 * 4 + (103 - var2) * 2048 + 24624;
            if(var8 != 0 && var8 != 2) {
               var23[var19] = var12;
               var23[var19 + 1 + 512] = var12;
               var23[var19 + 1024 + 2] = var12;
               var23[var19 + 1536 + 3] = var12;
            } else {
               var23[var19 + 1536] = var12;
               var23[var19 + 1 + 1024] = var12;
               var23[var19 + 512 + 2] = var12;
               var23[var19 + 3] = var12;
            }
         }
      }

      var5 = class36.scene.getFloorDecorationTag_base(var0, var1, var2);
      if(var5 != 0L) {
         var7 = class232.Entity_unpackID_base(var5);
         ObjectComposition var20 = WorldMapSection2.method4515(var7);
         if(var20.mapSceneId != -1) {
            IndexedSprite var21 = VarpDefinition.mapSceneSprites[var20.mapSceneId];
            if(var21 != null) {
               var10 = (var20.sizeX * 4 - var21.subWidth) / 2;
               int var22 = (var20.sizeY * 4 - var21.subHeight) / 2;
               var21.drawAt_base(var10 + var1 * 4 + 48, (104 - var2 - var20.sizeY) * 4 + var22 + 48);
            }
         }
      }

   }
}
